import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        variant?: "standard" | "accent" | "hyperlink";
        href?: string;
        open?: boolean;
        disabled?: boolean;
        menuDisabled?: boolean;
        trapFocus?: boolean;
        hideChevron?: boolean;
        direction?: "down" | "up";
        alignment?: "start" | "center" | "end";
        offset?: number;
        acrylic?: boolean;
        closable?: boolean;
        closeOnSelect?: boolean;
        class?: string;
        element?: HTMLElement;
        containerElement?: HTMLElement;
        chevronElement?: HTMLElement;
        menuElement?: HTMLElement;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
        flyout: {};
    };
};
export declare type SplitButtonProps = typeof __propDef.props;
export declare type SplitButtonEvents = typeof __propDef.events;
export declare type SplitButtonSlots = typeof __propDef.slots;
/**
 * <!--
 *
 * A button gives the user a way to trigger an immediate action. Some buttons are specialized for particular tasks, such as navigation, repeated actions, or presenting menus. [Docs](https://fluent-svelte.vercel.app/docs/components/button)
 * - Usage:
 *    ```tsx
 *    <SplitButton>
 * 	Click me!
 *        <svelte:fragment slot="flyout">
 * 		<MenuFlyoutItem>Item 1</MenuFlyoutItem>
 * 		<MenuFlyoutItem>Item 2</MenuFlyoutItem>
 * 		<MenuFlyoutItem>Item 3</MenuFlyoutItem>
 * 	</svelte:fragment>
 * </SplitButton>
 *    ```
 */
export default class SplitButton extends SvelteComponentTyped<SplitButtonProps, SplitButtonEvents, SplitButtonSlots> {
}
export {};
